gnutls_pkcs11_init(3)

NAME
gnutls_pkcs11_init - API function

SYNOPSIS
#include <gnutls/pkcs11.h>

int gnutls_pkcs11_init(unsigned int flags, const char * deprecated_config_file);

ARGUMENTS

unsigned int flags
    GNUTLS_PKCS11_FLAG_MANUAL or GNUTLS_PKCS11_FLAG_AUTO

const char * deprecated_config_file
    either NULL or the location of a deprecated configuration file

DESCRIPTION
This function will initialize the PKCS 11 subsystem in gnutls. It will read configuration files if GNUTLS_PKCS11_FLAG_AUTO is used or allow you to independently load PKCS 11 modules using gnutls_pkcs11_add_provider() if GNUTLS_PKCS11_FLAG_MANUAL is specified. Normally you don't need to call this function since it is being called by gnutls_global_init() using the GNUTLS_PKCS11_FLAG_AUTO. If other option is required then it must be called before it.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
2.12.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2012 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/